Query Class
Defines a search query.
Variables are only populated by the server, and will be ignored when sending a request.
All required parameters must be populated in order to send to Azure.
- Inheritance
-
Query
Constructor
Query(*, text: str, **kwargs)
Parameters
- text
- str
Required. The query string. Use this string as the query term in a new search request.
Variables
- display_text
- str
The display version of the query term. This version of the query term may contain special characters that highlight the search term found in the query string. The string contains the highlighting characters only if the query enabled hit highlighting
- web_search_url
- str
The URL that takes the user to the Bing search results page for the query.Only related search results include this field.
- search_link
- str
The URL that you use to get the results of the related search. Before using the URL, you must append query parameters as appropriate and include the Ocp-Apim-Subscription-Key header. Use this URL if you're displaying the results in your own user interface. Otherwise, use the webSearchUrl URL.
- thumbnail
- ImageObject
The URL to a thumbnail of a related image.
Feedback
Submit and view feedback for